%{?nodejs_find_provides_and_requires}

%global packagename cli-table3
# tests disabled due to missing npm(jest) test runner
%global enable_tests 0

Name:		nodejs-cli-table3
Version:	0.5.1
Release:	1%{?dist}
Summary:	Pretty unicode tables for the command line

License:	MIT
URL:		https://github.com/cli-table/cli-table3.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(object-assign)
BuildRequires:	npm(string-width)

%if 0%{?enable_tests}
BuildRequires:	jest
%endif

%description
Pretty unicode tables for the command line. Based on the original cli-table.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/jest --color
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md examples/*
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Nov 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 0.5.1-1 
- Initial packaging
